body{
    margin: 0px;
    height:100vh;
}

nav{
    background-color: #981a35;
    padding:15px;
}
.mapcontainer{
    height: calc(100% - 98px);
    height: -o-calc(100% - 98px); /* opera */
    height: -webkit-calc(100% - 98px); /* google, safari */
    height: -moz-calc(100% - 98px); /* firefox */
    position:relative;

}
#map{
  position:absolute;
  right:0;
  top:0;
  height: 100%;
  width: calc(100% - 300px);
  width: -o-calc(100% - 300px); /* opera */
  width: -webkit-calc(100% - 300px); /* google, safari */
  width: -moz-calc(100% - 300px); /* firefox */
}
.threedmodel{
    height: 100%;
    width:100%;
}
#layerControl{
    width:300px;
    height:100%;
    overflow-y: auto;
    position: absolute;
    bottom:0;
    background-color:white;
    z-index:1000;
}
.error{
  color:white;
  font-family: 'Raleway', sans-serif;
  font-size:10px;
}
.box-header{
    padding:15px;
    text-align: center;
    color:white;
    background-color:#981a35;
    font-family: 'Raleway', sans-serif;
}
.seach-location {
    width:100%;
    padding-left:10px;
    padding-top:5px;
    padding-bottom: 5px;
    border:1px solid white;
    border-radius: 20px;
}
.seach-location::placeholder {
    font-family: 'Raleway', sans-serif; 
    
}
.search-location-container{
    width:50%;
    padding:15px;
}
.save-container{
    padding:15px;
}
.btn-outline{
    border: 1px solid white !important;
    border-radius:30px !important;
    font-family: 'Raleway', sans-serif;
    color:white !important;
    padding-left:20px !important;
    padding-right:20px !important;
}
.btn-outline-blue{
    border: 1px solid #981a35 !important;
    border-radius:30px !important;
    font-family: 'Raleway', sans-serif;
    color:#981a35 !important;
    padding-left:20px !important;
    padding-right:20px !important;
}

.box-body{
    padding:15px;
    overflow-y:auto;
}
#HideLayer{
    padding:10px;
    background-color:#981a35;
    position:absolute;
    top:54px;
    left:300px;
    color:#f3f3f3;
    cursor: pointer;

}
#showLayer{
    padding:10px;
    background-color:#981a35;
    position:absolute;
    left:0px;
    bottom:246px;
    z-index:1000;
    color:#f3f3f3;
    cursor: pointer;
    display: none;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}
#showEditor{
    padding:10px;
    background-color:#981a35;
    position:absolute;
    top:120px;
    right:0px;
    z-index:1000;
    color:#f3f3f3;
    cursor: pointer;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
#HideEditor{
    padding:10px;
    background-color:#981a35;
    position:absolute;
    z-index:2000;
    color:#f3f3f3;
    cursor: pointer;
    right:500px;
    top:54px;
}
#editorControl{
    position:absolute;
    top:0;
    right:0px;
    height: 100%;
    background-color:rgba(255, 255, 255, 0.9);
    width:500px;
    z-index:1000;
    display: none;
}
#properties{
    height: 50%;
    overflow-y: scroll;
}
#propertiesForm{
    padding:15px;
}
#data{
    height: 50%;
    overflow:scroll;
}


.mt-30{
    margin-top:30px;
}

.thank-you{
    font-size:50px;
    font-family: 'Raleway', sans-serif; 
}
/*Modal rewrite*/

.modal-header{
    padding:15px;
    text-align: center;
    color:white !important;
    background-color:#981a35;
    font-family: 'Raleway', sans-serif;
}
.modal-header>.close{
    color:white !important;
}
.information-btn{
    cursor: pointer;
}
.material-icons{
    font-size:18px !important
}

/*Radio button*/

/* Customize the label (the container) */
.radio-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 15px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  
  /* Hide the browser's default radio button */
  .radio-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  /* Create a custom radio button */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
    border-radius: 50%;
  }
  
  /* On mouse-over, add a grey background color */
  .radio-container:hover input ~ .checkmark {
    background-color: #ccc;
  }
  
  /* When the radio button is checked, add a blue background */
  .radio-container input:checked ~ .checkmark {
    background-color: #981a35;
  }
  
  /* Create the indicator (the dot/circle - hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the indicator (dot/circle) when checked */
  .radio-container input:checked ~ .checkmark:after {
    display: block;
  }
  
  /* Style the indicator (dot/circle) */
  .radio-container .checkmark:after {
    top: 9px;
    left: 9px;
    width: 8px;
    height: 8px;
    border-radius: 50%;
    background: white;
  }

  /*Checkbox*/

  /* Customize the label (the container) */
.checkbox-container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 15px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  
  /* Hide the browser's default checkbox */
  .checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  /* Create a custom checkbox */
  .checkmark-checkbox {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
  }
  
  /* On mouse-over, add a grey background color */
  .checkbox-container:hover input ~ .checkmark-checkbox {
    background-color: #ccc;
  }
  
  /* When the checkbox is checked, add a blue background */
  .checkbox-container input:checked ~ .checkmark-checkbox {
    background-color: #981a35;
  }
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark-checkbox:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the checkmark when checked */
  .checkbox-container input:checked ~ .checkmark-checkbox:after {
    display: block;
  }
  
  /* Style the checkmark/indicator */
  .checkbox-container .checkmark-checkbox:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }

  #loader{
      top:0;
      left:0;
      position:fixed;
      background-color:rgba(0,0,0,0.5);
      width:100vw;
      height:100vh;
      z-index:5000;
      display: flex;
      justify-content: center;
      align-items: center;
  }
  .spinner {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #981a35; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
  }
  #footerMobile{
      display: none;
  }
  @keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
  }
  @media (max-width: 1280px) {
    .expand_more{
        display: none;
        }
      #saveData{
          display:none;
      }
      #saveData-mobile{
      
        }
      #search-location{
          display: none;
      }
      #search-location-mobile{
          width:100%;
          border:1px solid #981a35;
      }
      #layerControl{
          width:100%;
      }
      #editorControl{
        width:100%;
      }
    #layerControl{
        display: none;
    }
    #showLayer{
        display:block;
    }
    #footerMobile{
        z-index:2000;
        display: block;
        position:fixed;
        bottom:0;
        width:100%;
        background-color:#981a35;
        color:#f3f3f3;
        padding-top:5px;
    }
    .mobile-geocoder{
        padding-left: 10px;
        padding-right:10px;
    }
    #footerContent{
        display: none;
        background-color: white;
        padding-top:30px;

    }
    .bg-blue{
        background-color:#981a35;
        padding-top:30px;
        padding-bottom:30px;
    }
  }
